package org.jdc.sample.inject


import android.app.Application
import dagger.Component
import org.jdc.sample.App
import org.jdc.sample.ux.sample.SampleActivity
import javax.inject.Singleton

@Singleton
@Component(modules = arrayOf(AppModule::class))
interface AppComponent {
    // UI
    fun inject(application: App)

    fun inject(target: SampleActivity)

    // Exported for child-components.
    fun application(): Application


}
